{"info":{"version":"0.0.1","title":"A swagger API","description":"powered by Flasgger","termsOfService":"/tos"},"paths":{"/mre":{"post":{"summary":"Eds endpoint returning object of required stats\r","responses":{"200":{"description":"response with required stats in sync","schema":{"$ref":"#/definitions/Mre"}},"400":{"description":"Bad request.Unable to extract stats.","schema":{"$ref":"#/definitions/Error400"}},"401":{"description":"Authorization information is missing or invalid.","schema":{"$ref":"#/definitions/Error401"}},"500":{"description":"Interal server Error.","schema":{"$ref":"#/definitions/Error500"}}},"parameters":[{"in":"body","name":"input for mre stats","description":"Mre is a compare and merge usecase where an old and new file is merged.","schema":{"type":"object","required":["method","callback","flag","old","new","old_mapping","new_mapping"],"properties":{"method":{"type":"string","description":"sync or async","example":"async"},"callback":{"type":"string","example":"https://domain/path"},"flag":{"type":"string","default":"manual","description":"Please select manual or auto"},"old":{"type":"string","example":"bucket_name/request_id/date/old"},"new":{"type":"string","example":"bucket_name/request_id/date/new"},"old_mapping":{"type":"array","items":{"type":"object","properties":{"file":{"type":"string"},"identifier":{"type":"string"}}}},"new_mapping":{"type":"array","items":{"type":"object","properties":{"file":{"type":"string"},"identifier":{"type":"string"}}}},"identifier":{"type":"string"},"mapping":{"type":"array","items":{"type":"object","properties":{"old":{"type":"string","example":"bucket_name/request_id/date/old/filename"},"new":{"type":"string","example":"bucket_name/request_id/date/old/filename"}},"description":"mapping should only be provided in case of manual mre"}},"all":{"type":"boolean","default":false,"description":"if all stats are required make this true."},"stats":{"type":"array","items":{"type":"string","description":"only required stats to be passed e.g [ \"word_count\", \"image_count\", \"image_word_count\", \"compare_merge\" ]"}}}}}]}},"/control_f":{"post":{"summary":"Control f checks endpoint returning object of required stats\r","responses":{"200":{"description":"response with required stats in sync","schema":{"$ref":"#/definitions/Checks"}},"400":{"description":"Bad request.Unable to extract stats.","schema":{"$ref":"#/definitions/Error400"}},"401":{"description":"Authorization information is missing or invalid.","schema":{"$ref":"#/definitions/Error401"}},"500":{"description":"Interal server Error.","schema":{"$ref":"#/definitions/Error500"}}},"parameters":[{"in":"body","name":"input for control f check","description":"control f checks is based on detection of keyword or pattern from a document and replacing.","schema":{"type":"object","required":["method","callback","file","defined","custom"],"properties":{"method":{"type":"string","description":"sync or async","example":"async"},"callback":{"type":"string","example":"https://domain/path"},"file":{"type":"string","example":"domain/path/to/file"},"defined":{"type":"object","$ref":"#/definitions/Defined"},"custom":{"type":"object","$ref":"#/definitions/Custom"}}}}]}},"/eds":{"post":{"summary":"Eds endpoint returning object of required stats\r","responses":{"200":{"description":"response with required stats in sync","schema":{"$ref":"#/definitions/Eds"}},"400":{"description":"Bad request.Unable to extract stats.","schema":{"$ref":"#/definitions/Error400"}},"401":{"description":"Authorization information is missing or invalid.","schema":{"$ref":"#/definitions/Error401"}},"500":{"description":"Interal server Error.","schema":{"$ref":"#/definitions/Error500"}}},"parameters":[{"in":"body","name":"input for eds stats","description":"The user to create.","schema":{"type":"object","required":["method","callback","files","stats"],"properties":{"method":{"type":"string","description":"sync or async","example":"async"},"callback":{"type":"string","example":"https://domain/path"},"file":{"type":"array","items":{"type":"object","properties":{"file_identifier":{"type":"string","description":"unique value to identify each file"},"path":{"type":"string","example":"https://domain/path/to/file"},"stats":{"type":"object","properties":{"overall":{"type":"object","$ref":"#/definitions/Others"},"table":{"type":"object","$ref":"#/definitions/Others"},"pages":{"type":"object","$ref":"#/definitions/Pages"},"references":{"type":"object","$ref":"#/definitions/Others"}}}}}},"identifier":{"type":"string"}}}}]}},"/remove_highlights":{"post":{"summary":"to remove specific highlights from document","responses":{"200":{"description":"response with required stats in sync","schema":{"$ref":"#/definitions/RemoveHighlight"}},"400":{"description":"Bad request.Unable to extract stats.","schema":{"$ref":"#/definitions/Error400"}},"401":{"description":"Authorization information is missing or invalid.","schema":{"$ref":"#/definitions/Error401"}},"500":{"description":"Interal server Error.","schema":{"$ref":"#/definitions/Error500"}}},"parameters":[{"in":"body","name":"input for remove highlights","description":"This functionality removes specific colored highlight from the document.","schema":{"type":"object","required":["functionality","callback","identifier","files"],"properties":{"functionality":{"type":"integer","description":"api code","example":4},"callback":{"type":"string","example":"https://domain/path"},"file":{"type":"array","items":{"type":"object","properties":{"path":{"type":"string","example":"https://domain/path/to/file"},"identifier":{"type":"string"},"all":{"type":"boolean","default":true},"colors":{"type":"array","description":"['red','blue','green','yellow','etc.']","items":{"type":"string"}},"overall":{"type":"boolean","default":true},"sections":{"type":"array","items":{"type":"string","description":"[section names]"}}}}}}}}]}},"/change_font_to_black":{"post":{"summary":"to change entire documents font color to black","responses":{"200":{"description":"response with required stats in sync","schema":{"$ref":"#/definitions/RemoveFontColor"}},"400":{"description":"Bad request.Unable to extract stats.","schema":{"$ref":"#/definitions/Error400"}},"401":{"description":"Authorization information is missing or invalid.","schema":{"$ref":"#/definitions/Error401"}},"500":{"description":"Interal server Error.","schema":{"$ref":"#/definitions/Error500"}}},"parameters":[{"in":"body","name":"input for remove highlights","description":"This functionality removes specific colored highlight from the document.","schema":{"type":"object","required":["functionality","callback","identifier","files"],"properties":{"functionality":{"type":"integer","description":"api code","example":5},"callback":{"type":"string","example":"https://domain/path"},"file":{"type":"array","items":{"type":"object","properties":{"path":{"type":"string","example":"https://domain/path/to/file"},"identifier":{"type":"string"}}}}}}}]}}},"definitions":{"Mre":{"type":"object","properties":{"status":{"type":"boolean"},"description":{"type":"string"},"new":{"type":"string"},"old":{"type":"string"},"output":{"type":"array","items":{"type":"object","properties":{"new":{"type":"string"},"old":{"type":"string"},"new_identifier":{"type":"string"},"old_identifier":{"type":"string"},"merged_file":{"type":"string"},"stats":{"type":"object","$ref":"#/definitions/Mre_stats","description":"required stats"},"status":{"type":"boolean"},"description":{"type":"string"}}}}}},"Error400":{"type":"object","properties":{"status":{"type":"boolean"},"error":{"type":"string","example":"Bad request.Unable to extract stats"},"description":{"type":"string","example":"error description"}}},"Error401":{"type":"object","properties":{"status":{"type":"boolean"},"error":{"type":"string","example":"Invalid or missing credentials"},"description":{"type":"string","example":"error description"}}},"Error500":{"type":"object","properties":{"status":{"type":"boolean"},"error":{"type":"string","example":"Internal server error"},"description":{"type":"string","example":"description of error in code"}}},"Mre_stats":{"type":"object","properties":{"percentage_match":{"type":"integer"},"old_word_count":{"type":"integer"},"new_word_count":{"type":"integer"},"old_image_count":{"type":"integer"},"new_image_word_count":{"type":"integer"},"old_image_word_count":{"type":"integer"},"new_image_count":{"type":"integer"},"word_count_diff":{"type":"integer"},"image_count_diff":{"type":"integer"},"image_word_count_diff":{"type":"integer"},"words_deleted":{"type":"integer"},"words_inserted":{"type":"integer"},"words_moved":{"type":"integer"}}},"Defined":{"type":"object","properties":{"flag":{"type":"boolean"},"all":{"type":"boolean","default":false},"options":{"type":"object","description":"only pages and sections can be used together","properties":{"overall":{"type":"boolean"},"tables":{"type":"boolean"},"pages":{"type":"array","items":{"type":"string","description":"e.g. ['1','1-3']"}},"sections":{"type":"array","items":{"type":"string","description":"e.g. ['result','acknowledgement']"}}}},"categories":{"type":"array","items":{"type":"string","description":"please select following [\"unnecessory_spaces\",\"double_puntuation\",\"quotation_us\",\"quatotaion_uk\"]"}}}},"Custom":{"type":"object","properties":{"flag":{"type":"boolean"},"all":{"type":"boolean","default":false},"inputs":{"type":"array","items":{"type":"object","properties":{"keyword":{"type":"string","example":"hello"},"replace_with":{"type":"string","example":"hi","description":"pass Null if only count is to be extracted"}}}},"options":{"type":"object","description":"only pages and sections can be used together","properties":{"overall":{"type":"boolean"},"tables":{"type":"boolean"},"pages":{"type":"array","items":{"type":"string","description":"e.g. ['1','1-3']"}},"sections":{"type":"array","items":{"type":"string","description":"e.g. ['result','acknowledgement']"}}}},"categories":{"type":"array","items":{"type":"string","description":"please select [\"match_case\", \"find_whole_word_only\", \"use_wild_cards\", \"sounds_like_eng\", \"findall_word_forms_eng\", \"match_prefix\", \"match_suffix\", \"ignore_punctuation_characters\", \"ignore_white_space_characters\"]"}}}},"Checks":{"type":"object","properties":{"status":{"type":"boolean"},"description":{"type":"string","example":"description of error in code"},"file":{"type":"string","example":"domain/path/to/file","description":"only in case if replace is true"},"stats":{"type":"array","items":{"type":"object","properties":{"keyword":{"type":"string"},"count":{"type":"integer"}}},"description":"stats will come only in case of find"}}},"Others":{"type":"object","properties":{"basic":{"type":"object","properties":{"all":{"type":"boolean","default":false},"options":{"type":"array","items":{"type":"string","description":"checked and unchecked can be passed only in Overall ['checked','unchecked']."}}},"description":"Overall - checked and unchecked, Others - only checked"},"advance":{"type":"object","properties":{"all":{"type":"boolean","default":false},"options":{"type":"array","items":{"type":"string","description":"only required stat to be passed e.g. [ \"headers\", \"footers\", \"bold\", \"italic\", \"underline\", \"strike\", \"all_numbers\", \"mathematical_numbers\", \"special_characters\", \"highlight_colors\", \"font_colors\", \"language\", \"sand_witched_words\", \"sand_witched_characters\", \"english_language_data\", \"non_asian_data\", \"image\" ]"}}},"description":"advanced stats"}}},"Pages":{"type":"object","properties":{"range":{"type":"array","items":{"type":"string"},"example":["1","2-40"]},"basic":{"type":"object","properties":{"all":{"type":"boolean","default":false},"options":{"type":"array","items":{"type":"string","description":"checked and unchecked can be passed only in Overall e.g ['checked','unchecked']."}}},"description":"Overall - checked and unchecked, Others - only checked"},"advance":{"type":"object","properties":{"all":{"type":"boolean","default":false},"options":{"type":"array","items":{"type":"string","description":"only required stat to be passed e.g. [ \"headers\", \"footers\", \"bold\", \"italic\", \"underline\", \"strike\", \"all_numbers\", \"mathematical_numbers\", \"special_characters\", \"highlight_colors\", \"font_colors\", \"language\", \"sand_witched_words\", \"sand_witched_characters\", \"english_language_data\", \"non_asian_data\", \"image\" ]"}}},"description":"advanced stats"}}},"Eds":{"type":"object","properties":{"status":{"type":"boolean"},"description":{"type":"string"},"data":{"type":"array","items":{"type":"object","properties":{"status":{"type":"boolean"},"description":{"type":"string"},"file":{"type":"string","example":"https://domain/path/to/file"},"file_identifier":{"type":"string","description":"unique value to identify each file"},"stats":{"type":"object","properties":{"overall":{"type":"object","properties":{"basic":{"type":"object","$ref":"#/definitions/Basic"},"advance":{"type":"object","$ref":"#/definitions/Advanced"}}},"table":{"type":"object","properties":{"basic":{"type":"object","$ref":"#/definitions/Basic_Others"},"advance":{"type":"object","$ref":"#/definitions/Advanced"}}},"pages":{"type":"array","items":{"type":"object","properties":{"page":{"type":"string"},"basic":{"type":"object","$ref":"#/definitions/Basic_Others"},"advance":{"type":"object","$ref":"#/definitions/Advanced"}}}},"references":{"type":"object","properties":{"basic":{"type":"object","$ref":"#/definitions/Basic_Others"},"advance":{"type":"object","$ref":"#/definitions/Advanced"}}}}}}}}}},"Basic":{"type":"object","properties":{"checked":{"type":"object","properties":{"words":{"type":"integer"},"characters_without_spaces":{"type":"integer"},"characters_with_spaces":{"type":"integer"},"pages":{"type":"integer"},"lines":{"type":"integer"},"paragraphs":{"type":"integer"},"asian_characters_words":{"type":"integer"},"non_asian_words":{"type":"integer"}}},"unchecked":{"type":"object","properties":{"words":{"type":"integer"},"characters_without_spaces":{"type":"integer"},"characters_with_spaces":{"type":"integer"},"pages":{"type":"integer"},"lines":{"type":"integer"},"paragraphs":{"type":"integer"},"asian_characters_words":{"type":"integer"},"non_asian_words":{"type":"integer"}}}}},"Basic_Others":{"type":"object","properties":{"words":{"type":"integer"},"characters_without_spaces":{"type":"integer"},"characters_with_spaces":{"type":"integer"},"asian_characters_words":{"type":"integer"},"non_asian_words":{"type":"integer"}}},"Advanced":{"type":"object","properties":{"bold":{"type":"object","$ref":"#/definitions/Other_stats"},"italic":{"type":"object","$ref":"#/definitions/Other_stats"},"underline":{"type":"object","$ref":"#/definitions/Other_stats"},"strike":{"type":"object","$ref":"#/definitions/Other_stats"},"all_numbers":{"type":"integer"},"mathematical_numbers":{"type":"integer"},"mathematical_words":{"type":"integer"},"special_characters":{"type":"integer"},"highlight_colors":{"type":"array","items":{"type":"object","$ref":"#/definitions/Color"}},"font_colors":{"type":"array","items":{"type":"object","$ref":"#/definitions/Color"}},"language":{"type":"string"},"sand_witched_words":{"type":"integer"},"sand_witched_characters":{"type":"integer"},"english_language_data":{"type":"object","$ref":"#/definitions/Other_stats"},"non_asian_data":{"type":"object","$ref":"#/definitions/Non_asian"},"image":{"type":"object","$ref":"#/definitions/Image"}}},"Image":{"type":"object","properties":{"image_count":{"type":"integer"},"words":{"type":"integer"},"characters_without_spaces":{"type":"integer"},"characters_with_spaces":{"type":"integer"},"asian_characters_words":{"type":"integer"},"non_asian_words":{"type":"integer"},"non_asian_characters_without_spaces":{"type":"integer"},"non_Asian_characters_with_spaces":{"type":"integer"},"special_characters":{"type":"integer"},"mathematical_words":{"type":"integer"},"english_characters_with_spaces":{"type":"integer"},"english_characters_without_spaces":{"type":"integer"}}},"Non_asian":{"type":"object","properties":{"words":{"type":"integer"},"characters_without_spaces":{"type":"integer"},"characters_with_spaces":{"type":"integer"}}},"Color":{"type":"object","properties":{"color":{"type":"string"},"words":{"type":"integer"},"characters_without_spaces":{"type":"integer"},"characters_with_spaces":{"type":"integer"},"asian_characters_words":{"type":"integer"},"non_asian_words":{"type":"integer"}}},"Other_stats":{"type":"object","properties":{"words":{"type":"integer"},"characters_without_spaces":{"type":"integer"},"characters_with_spaces":{"type":"integer"},"asian_characters_words":{"type":"integer"},"non_asian_words":{"type":"integer"}}},"RemoveHighlight":{"type":"object","properties":{"status":{"type":"boolean"},"description":{"type":"string"},"stats":{"type":"array","items":{"type":"object","properties":{"status":{"type":"boolean"},"description":{"type":"string"},"file":{"type":"string"},"identifier":{"type":"string"},"output_path":{"type":"string"}}}}}},"RemoveFontColor":{"type":"object","properties":{"status":{"type":"boolean"},"description":{"type":"string"},"stats":{"type":"array","items":{"type":"object","properties":{"status":{"type":"boolean"},"description":{"type":"string"},"file":{"type":"string"},"identifier":{"type":"string"},"output_path":{"type":"string"}}}}}}},"swagger":"2.0"}